Subject: Re: bug#23286: Unable to unlock xscreensaver in Xfce

From: Albin <[email-masked]>
Date: Sat, 23 Apr 2016 22:15:23 +0200

Den 2016-04-23 kl. 20:28, skrev Danny Milosavljevic:
> On Sat, 23 Apr 2016 20:22:52 +0200
> Danny Milosavljevic <[email-masked]> wrote:
> 
>> Hi,
>>
>> weird. It works for me here. I did the same as you did. (although I'm using fluxbox)
>>
>> What happens when you run 
>>
>>    xlock 
>>
>> manually?

Hi!

This starts the screensaver and I'm now able to enter my password to
unlock.  The unlock screen looks a bit different though.

> (just to clarify: as your normal user)
> 
> Also, what does
> 
>    which xlock
> 
> say?

/run/setuid-programs/xlock

> How about
>     ls -l $(which xlock)
> ?

-r-sr-sr-x 3 root root 1684296 1 jan  1970 /run/setuid-programs/xlock

Albin